with GNATCOM.Dispinterface;

package MSHTML.IHTMLAppBehavior_Interface is

   type IHTMLAppBehavior_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLAppBehavior_Type);

   function Pointer (This : IHTMLAppBehavior_Type)
     return Pointer_To_IHTMLAppBehavior;

   procedure Attach (This    : in out IHTMLAppBehavior_Type;
                     Pointer : in     Pointer_To_IHTMLAppBehavior);

   procedure Put_applicationName
     (This : IHTMLAppBehavior_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_applicationName
     (This : IHTMLAppBehavior_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_version
     (This : IHTMLAppBehavior_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_version
     (This : IHTMLAppBehavior_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_icon
     (This : IHTMLAppBehavior_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_icon
     (This : IHTMLAppBehavior_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_singleInstance
     (This : IHTMLAppBehavior_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_singleInstance
     (This : IHTMLAppBehavior_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_minimizeButton
     (This : IHTMLAppBehavior_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_minimizeButton
     (This : IHTMLAppBehavior_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_maximizeButton
     (This : IHTMLAppBehavior_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_maximizeButton
     (This : IHTMLAppBehavior_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_border
     (This : IHTMLAppBehavior_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_border
     (This : IHTMLAppBehavior_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_borderStyle
     (This : IHTMLAppBehavior_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_borderStyle
     (This : IHTMLAppBehavior_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_sysMenu
     (This : IHTMLAppBehavior_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_sysMenu
     (This : IHTMLAppBehavior_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_caption
     (This : IHTMLAppBehavior_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_caption
     (This : IHTMLAppBehavior_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_windowState
     (This : IHTMLAppBehavior_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_windowState
     (This : IHTMLAppBehavior_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_showInTaskBar
     (This : IHTMLAppBehavior_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_showInTaskBar
     (This : IHTMLAppBehavior_Type)
     return GNATCOM.Types.BSTR;

   function Get_commandLine
     (This : IHTMLAppBehavior_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLAppBehavior_Interface;

